RM(1)

NAAM
rm - bestanden of mappen verwijderen

SAMENVATTING
rm [OPTIE]... [BESTAND]...

BESCHRIJVING
Deze handleiding documenteert de GNU versie van rm. rm verwijdert elk opgegeven bestand. Standaard verwijdert het geen mappen.

Als de -I of --interactive=once optie werd opgegeven, en er meer dan drie bestanden zijn of de -r, -R, of --recursive werden opgegeven, dan zal rm de gebruiker vragen of het door moet gaan met de uitvoering. Als het antwoord niet bevestigend is dan wordt het hele commando afgebroken.

Anders, als een bestand niet schrijfbaar is, standaard invoer is een terminal, en de -f of --force optie werd niet gegeven, dan vraagt rm de gebruiker of het het bestand moet verwijderen. Als het antwoord niet bevestigend is, wordt het bestand overgeslagen.

OPTIES

Verwijdert de gegeven BESTAND(en).

-f, --force
    niet-bestaande argumenten negeren, geen vragen stellen

-i  voor elke verwijdering om bevestiging vragen

-I  voor het verwijderen van meer dan drie bestanden, of bij recursieve verwijdering, om bevestiging vragen; dit is minder beperkend dan -i, maar biedt toch bescherming tegen de meeste vergissingen

--interactive[=WANNEER]
    al dan niet om bevestiging vragen; WANNEER kan zijn: 'never' (nooit), 'once' (-I), of 'always' (-i); zonder WANNEER altijd vragen

--one-file-system
    bij recursief verwijderen, mappen overslaan die zich op een ander bestandssysteem bevinden dan het bijbehorende opdrachtregel argument

--no-preserve-root
    '/' niet speciaal behandelen

--preserve-root[=all]
    wis '/' (standaard) niet; met 'all', weiger elk commando regel argument op een apart apparaat van zijn ouder

-r, -R, --recursive
    mappen en hun inhoud recursief verwijderen

-d, --dir
    lege mappen verwijderen

-v, --verbose
    tonen wat er gedaan wordt

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

Standaard verwijdert rm geen mappen. Gebruik de optie --recursive(-r of -R) om ook iedere genoemde map en diens inhoud te verwijderen.

Elke poging om een bestand te verwijderen met als laatste bestandsnaam component '.' or '..' wordt geweigerd met een diagnostische melding.

Om een bestand te verwijderen dat begint met een '-', bijvoorbeeld '-foo',kunt u een van deze commando's gebruiken:

    rm -- -foo

    rm ./-foo

Als een bestand met rm verwijderd wordt, is het vaak nog mogelijk om iets van de inhoud van het bestand te herstellen. Als u er zekerder wil zijn dat de inhoud niet meer hersteld kan worden gebruik dan shred(1).

AUTEUR
Geschreven door Paul Rubin, David MacKenzie, Richard M. Stallman en Jim Meyering.

RAPPORTEREN VAN BUGS
Online hulp bij GNU coreutils: <https://www.gnu.org/software/coreutils/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>.
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden. Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

ZIE OOK
unlink(1), unlink(2), chattr(1), shred(1)

Volledige documentatie op: <https://www.gnu.org/software/coreutils/rm>
of lokaal via: info '(coreutils) rm invocation'

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Jos Boersema <joshb@xs4all.nl>, Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.